CHS_GET_INT(3)

FUNCTION
chs_get_int - Scan a channel object for an integer value.

SYNOPSIS
#include <karma_chs.h>

int chs_get_int

(Channel channel)

DESCRIPTION
This routine will scan a channel object for the ASCII representation of an integer number. Any leading whitespace will be ignored.

channel
    The channel object to read from.

RETURN VALUE
The value scanned. On error the process exits.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/